commit 29e36d7cf10c2773991f34fbac1791139f225930
Author: raveit65 <mate@raveit.de>
Date:   Thu Feb 15 17:12:55 2024 +0100

    release 1.28.0

 NEWS         | 11 ++++++++++-
 configure.ac |  2 +-
 meson.build  |  2 +-
 3 files changed, 12 insertions(+), 3 deletions(-)

commit 0d3ffad0a6566c9e826e414ed4963d8eb08a25b5
Author: raveit65 <mate@raveit.de>
Date:   Thu Feb 15 17:05:46 2024 +0100

    tx: sync with transifex

 po/af.po          |  2 +-
 po/am.po          |  2 +-
 po/an.po          |  2 +-
 po/ar.po          |  2 +-
 po/as.po          |  2 +-
 po/ast.po         |  2 +-
 po/az.po          |  2 +-
 po/be.po          |  2 +-
 po/bg.po          |  2 +-
 po/bn.po          |  2 +-
 po/bn_IN.po       |  2 +-
 po/br.po          |  2 +-
 po/bs.po          |  2 +-
 po/ca.po          |  6 +++---
 po/ca@valencia.po |  2 +-
 po/cmn.po         |  2 +-
 po/crh.po         |  2 +-
 po/cs.po          |  2 +-
 po/cy.po          |  2 +-
 po/da.po          |  2 +-
 po/de.po          |  2 +-
 po/dz.po          |  2 +-
 po/el.po          |  2 +-
 po/en_AU.po       |  2 +-
 po/en_CA.po       |  2 +-
 po/en_GB.po       |  6 +++---
 po/eo.po          |  2 +-
 po/es.po          |  2 +-
 po/es_AR.po       |  2 +-
 po/es_CL.po       |  2 +-
 po/es_CO.po       |  2 +-
 po/es_ES.po       |  2 +-
 po/es_MX.po       |  2 +-
 po/es_PR.po       |  2 +-
 po/et.po          |  2 +-
 po/eu.po          |  2 +-
 po/fa.po          |  2 +-
 po/fi.po          |  2 +-
 po/fil.po         |  2 +-
 po/fr.po          |  4 ++--
 po/fr_CA.po       |  2 +-
 po/frp.po         |  2 +-
 po/fur.po         |  2 +-
 po/fy.po          |  2 +-
 po/ga.po          |  2 +-
 po/gl.po          |  2 +-
 po/gu.po          |  2 +-
 po/ha.po          |  2 +-
 po/hi.po          |  2 +-
 po/hr.po          |  2 +-
 po/hu.po          |  2 +-
 po/hy.po          |  2 +-
 po/ia.po          |  2 +-
 po/id.po          |  2 +-
 po/ie.po          |  8 ++++----
 po/ig.po          |  2 +-
 po/is.po          |  2 +-
 po/it.po          |  4 ++--
 po/ja.po          | 12 ++++++------
 po/jv.po          |  2 +-
 po/ka.po          |  2 +-
 po/kab.po         |  2 +-
 po/kk.po          |  8 ++++----
 po/km.po          |  2 +-
 po/kn.po          |  2 +-
 po/ko.po          |  2 +-
 po/ks.po          |  2 +-
 po/ku.po          |  2 +-
 po/ku_IQ.po       |  2 +-
 po/ky.po          |  2 +-
 po/la.po          |  2 +-
 po/li.po          |  2 +-
 po/lt.po          |  2 +-
 po/lv.po          |  2 +-
 po/mai.po         |  2 +-
 po/mg.po          |  2 +-
 po/mi.po          |  2 +-
 po/mk.po          |  2 +-
 po/ml.po          |  2 +-
 po/mn.po          |  2 +-
 po/mr.po          |  2 +-
 po/ms.po          |  2 +-
 po/my.po          |  2 +-
 po/nah.po         |  2 +-
 po/nb.po          |  6 +++---
 po/nds.po         |  9 +++++----
 po/ne.po          |  2 +-
 po/nl.po          |  2 +-
 po/nn.po          |  2 +-
 po/nso.po         |  2 +-
 po/oc.po          |  2 +-
 po/or.po          |  2 +-
 po/pa.po          |  2 +-
 po/pl.po          |  2 +-
 po/pms.po         |  2 +-
 po/ps.po          |  2 +-
 po/pt.po          |  2 +-
 po/pt_BR.po       |  2 +-
 po/ro.po          |  2 +-
 po/ru.po          |  4 ++--
 po/rw.po          |  2 +-
 po/sc.po          |  2 +-
 po/si.po          |  2 +-
 po/sk.po          |  2 +-
 po/sl.po          |  2 +-
 po/sq.po          |  2 +-
 po/sr.po          |  2 +-
 po/sr@latin.po    |  2 +-
 po/sv.po          |  2 +-
 po/ta.po          |  2 +-
 po/te.po          |  2 +-
 po/th.po          |  2 +-
 po/tk.po          |  2 +-
 po/tr.po          |  2 +-
 po/ts.po          |  2 +-
 po/ug.po          |  2 +-
 po/uk.po          |  2 +-
 po/ur.po          |  2 +-
 po/uz.po          |  2 +-
 po/vi.po          |  2 +-
 po/wa.po          |  2 +-
 po/xh.po          |  2 +-
 po/yo.po          |  2 +-
 po/zh_CN.po       |  2 +-
 po/zh_HK.po       |  2 +-
 po/zh_TW.po       |  2 +-
 po/zu.po          |  2 +-
 127 files changed, 151 insertions(+), 150 deletions(-)

commit bfa5f0a8ebe12e6e0918ce35e276c1189c8253ff
Author: correctmost <134317971+correctmost@users.noreply.github.com>
Date:   Wed Jan 10 04:17:16 2024 -0500

    matemenu-tree: Fix crash when adding launcher from compact menu
    
    The emit_changed_signal callback was attempting to run on a
    submenu that had already been destroyed by its parent menu.
    
    Closes #116

 libmenu/matemenu-tree.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 9dc2785417f29a5354cf5f64f9342e146035372e
Author: raveit65 <mate@raveit.de>
Date:   Wed Jan 24 12:08:02 2024 +0100

    ci: use ubuntu jammy as docker

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7aac87a9810a8a9f79c545a87684c455f1aec198
Author: Xiaotian Wu <yetist@gmail.com>
Date:   Wed Jan 11 11:37:32 2023 +0800

    ci: build with meson

 .build.yml  | 4 ++++
 .travis.yml | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit d5e498eacbd3ec8c144e302d3ee0309d437d6e5f
Author: Xiaotian Wu <yetist@gmail.com>
Date:   Sun Jan 8 11:51:53 2023 +0800

    add meson build system
    
    After switching to meson, calling the `g-ir-scanner` command with the
    `--warn-all` parameter in the generated `build.ninja` file will display these warnings:
    
    ```
    Warning: MateMenu: symbol="DesktopEntryType": unknown namespace for identifier "DesktopEntryType"
    Warning: MateMenu: symbol='desktop_entry_new': Unknown namespace for symbol 'desktop_entry_new'
    Warning: MateMenu: symbol='EntryDirectory': Unknown namespace for identifier 'EntryDirectory'
    ```
    
    The reason for these warnings is that we use `MateMenu` as `identifier_prefix`
    and `matemenu` as `symbol_prefix`, but the symbols that report warnings do not
    start with these prefixes.

 desktop-directories/meson.build |  40 +++++++++
 layout/meson.build              |  10 +++
 libmenu/meson.build             |  72 ++++++++++++++++
 meson.build                     | 185 ++++++++++++++++++++++++++++++++++++++++
 meson_options.txt               |  25 ++++++
 po/meson.build                  |   2 +
 util/meson.build                |  10 +++
 7 files changed, 344 insertions(+)

commit 5e3658eb0b2428a49b47d56300fec73f74f70f4f
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jan 3 15:42:52 2022 +0100

    matemenu-tree: Fix build warning -Wsign-conversion

 libmenu/matemenu-tree.c | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

commit f3f71e1589f8276f8177541750a28d8c904a2349
Author: Xiaotian Wu <yetist@gmail.com>
Date:   Sun Jan 8 11:52:26 2023 +0800

    fix test programs

 util/mate-menus-ls.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e54e4eed9ddfe1187f521c6a2ced928e0438bdc
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jan 3 16:58:45 2022 +0100

    test-menu-spec: Fix build warning -Wmissing-field-initializers

 util/test-menu-spec.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b5632d303417fb61bf8568801c4e0c664536e0a4
Author: Xiaotian Wu <yetist@gmail.com>
Date:   Tue Jan 10 16:54:37 2023 +0800

    fix build warning

 libmenu/entry-directories.c |  3 ++
 libmenu/matemenu-tree.c     | 73 ++++++++++++++++-----------------------------
 libmenu/menu-layout.c       |  4 +++
 libmenu/menu-monitor.c      |  3 +-
 libmenu/menu-util.c         |  4 +--
 5 files changed, 37 insertions(+), 50 deletions(-)

commit 9df900c3de24db11e8f109dd037eac085d8fdc48
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Nov 11 20:20:39 2022 +0100

    release 1.27.0

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit eccb3a6a0a44595a78fef1c9bdc1e695d2987667
Author: mbkma <johannes.unruh@fau.de>
Date:   Wed Nov 9 22:22:11 2022 +0100

    tx: sync with transifex

 po/af.po          |  4 ++--
 po/am.po          |  4 ++--
 po/an.po          |  4 ++--
 po/ar.po          |  4 ++--
 po/as.po          |  4 ++--
 po/ast.po         |  4 ++--
 po/az.po          |  4 ++--
 po/be.po          |  4 ++--
 po/bg.po          |  4 ++--
 po/bn.po          |  4 ++--
 po/bn_IN.po       |  4 ++--
 po/br.po          |  4 ++--
 po/bs.po          |  4 ++--
 po/ca@valencia.po |  4 ++--
 po/cmn.po         |  4 ++--
 po/crh.po         |  4 ++--
 po/cs.po          |  6 +++---
 po/cy.po          |  4 ++--
 po/da.po          |  4 ++--
 po/de.po          |  4 ++--
 po/dz.po          |  4 ++--
 po/el.po          | 11 ++++++-----
 po/en_AU.po       |  4 ++--
 po/en_CA.po       |  4 ++--
 po/eo.po          |  4 ++--
 po/es.po          |  6 +++---
 po/es_AR.po       |  6 +++---
 po/es_CL.po       |  6 +++---
 po/es_CO.po       |  6 +++---
 po/es_ES.po       |  6 +++---
 po/es_MX.po       |  6 +++---
 po/es_PR.po       |  6 +++---
 po/et.po          |  4 ++--
 po/eu.po          |  9 +++++----
 po/fa.po          |  4 ++--
 po/fi.po          |  4 ++--
 po/fil.po         |  4 ++--
 po/fr.po          |  6 +++---
 po/fr_CA.po       |  6 +++---
 po/frp.po         |  4 ++--
 po/fur.po         |  4 ++--
 po/fy.po          |  4 ++--
 po/ga.po          |  4 ++--
 po/gl.po          |  4 ++--
 po/gu.po          |  9 +++++----
 po/ha.po          |  4 ++--
 po/he.po          |  4 ++--
 po/hi.po          |  4 ++--
 po/hr.po          |  4 ++--
 po/hu.po          | 10 +++++-----
 po/hy.po          |  4 ++--
 po/ia.po          |  4 ++--
 po/id.po          |  4 ++--
 po/ie.po          |  4 ++--
 po/ig.po          |  4 ++--
 po/is.po          |  4 ++--
 po/it.po          | 19 ++++++++++---------
 po/ja.po          |  8 ++++----
 po/jv.po          |  4 ++--
 po/ka.po          |  4 ++--
 po/kab.po         |  4 ++--
 po/kk.po          |  4 ++--
 po/km.po          |  4 ++--
 po/kn.po          |  4 ++--
 po/ko.po          |  6 +++---
 po/ks.po          |  4 ++--
 po/ku.po          |  4 ++--
 po/ku_IQ.po       |  4 ++--
 po/ky.po          |  4 ++--
 po/la.po          |  4 ++--
 po/li.po          |  4 ++--
 po/lt.po          |  4 ++--
 po/lv.po          |  4 ++--
 po/mai.po         |  4 ++--
 po/mg.po          |  4 ++--
 po/mi.po          |  4 ++--
 po/mk.po          |  4 ++--
 po/ml.po          |  4 ++--
 po/mn.po          |  4 ++--
 po/mr.po          |  4 ++--
 po/ms.po          |  4 ++--
 po/my.po          |  4 ++--
 po/nah.po         |  4 ++--
 po/nb.po          |  4 ++--
 po/nds.po         |  4 ++--
 po/ne.po          |  4 ++--
 po/nl.po          |  4 ++--
 po/nn.po          |  4 ++--
 po/nso.po         |  4 ++--
 po/oc.po          |  4 ++--
 po/or.po          |  6 +++---
 po/pa.po          |  4 ++--
 po/pl.po          |  8 ++++----
 po/pms.po         |  4 ++--
 po/ps.po          |  6 +++---
 po/pt.po          |  6 +++---
 po/pt_BR.po       | 11 ++++++-----
 po/ro.po          |  4 ++--
 po/ru.po          | 11 ++++++-----
 po/rw.po          |  4 ++--
 po/sc.po          |  4 ++--
 po/si.po          |  4 ++--
 po/sk.po          |  4 ++--
 po/sl.po          | 11 ++++++-----
 po/sq.po          |  4 ++--
 po/sr.po          |  4 ++--
 po/sr@latin.po    |  4 ++--
 po/sv.po          | 10 +++++-----
 po/ta.po          |  4 ++--
 po/te.po          |  4 ++--
 po/th.po          |  4 ++--
 po/tk.po          |  4 ++--
 po/tr.po          |  9 +++++----
 po/ts.po          |  4 ++--
 po/ug.po          |  4 ++--
 po/uk.po          |  4 ++--
 po/ur.po          |  4 ++--
 po/uz.po          |  6 +++---
 po/vi.po          |  4 ++--
 po/wa.po          |  4 ++--
 po/xh.po          |  4 ++--
 po/yo.po          |  4 ++--
 po/zh_CN.po       | 13 +++++++------
 po/zh_HK.po       |  4 ++--
 po/zh_TW.po       |  4 ++--
 po/zu.po          |  4 ++--
 126 files changed, 315 insertions(+), 306 deletions(-)

commit b6e040520e40088b5e17226b3119d04c5e1f6ec6
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jul 25 15:19:03 2022 +0200

    configure.ac: The macro 'AC_HELP_STRING' is obsolete

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6657a990b3f97d7080d82bff7057b4ca1e93c700
Author: mbkma <johannes.unruh@fau.de>
Date:   Sat Oct 29 15:39:07 2022 +0200

    tx: update resource

 mate-menus.pot | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f9aae24aab6f9573baf703fbef370dff9673fbe1
Author: mbkma <johannes.unruh@fau.de>
Date:   Fri Oct 28 21:54:38 2022 +0200

    tx: migrate config file

 .tx/config                    | 13 +++++++------
 .tx/config_20221028215437.bak |  9 +++++++++
 2 files changed, 16 insertions(+), 6 deletions(-)

commit c92c0bcbc08f96c39e99a40a50f2763b214a5065
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Jun 1 09:44:42 2022 +0200

    build warning: AC_OUTPUT should be used without arguments

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f3106f4ce8ff63c97cb3800c5830a3b83e59df56
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Oct 26 22:11:58 2021 +0200

    fix build error: invalid operands to binary expression

 libmenu/matemenu-tree.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a1b9b3e93d1314695b8a11ac3f69d5dd130ec80
Author: raveit65 <mate@raveit.de>
Date:   Sun Feb 13 19:30:47 2022 +0100

    ci: drop -Wunused-parameter compiler cflag from debian build

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ad5341cb6361326aceeac63580230d74d7df0bba
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Oct 27 17:57:01 2021 +0200

    Use a blank line at most

 libmenu/matemenu-tree.c | 1 -
 libmenu/menu-layout.c   | 4 ----
 libmenu/menu-util.c     | 1 -
 3 files changed, 6 deletions(-)

commit caf2e12de3009c40061fd1a3598ca819065481d6
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Oct 26 22:32:44 2021 +0200

    Remove extra whitespaces on #ifdef..#endif code block

 libmenu/matemenu-tree.c |  6 +++---
 libmenu/menu-util.h     | 21 ++++++++++-----------
 2 files changed, 13 insertions(+), 14 deletions(-)

commit 0af959c26303eda2f7e16f938b4d9c6d2df2007e
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Oct 17 09:57:58 2021 +0200

    Let user disable collection menu entry [--disable-collection]

 configure.ac            | 10 ++++++++++
 libmenu/matemenu-tree.c | 35 +++++++++++++++++++++++++++++------
 2 files changed, 39 insertions(+), 6 deletions(-)

commit f9416ad74a962fda5bee70280a8a5bc5912ef01b
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 4 16:24:19 2021 +0200

    release 1.26.0

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit ced5a856288be894d8f8152cc8432380332ad3e2
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 4 16:22:06 2021 +0200

    tx: sync with transifex

 po/ca.po    | 4 ++--
 po/el.po    | 4 ++--
 po/en_GB.po | 6 +++---
 po/zh_CN.po | 5 +++--
 4 files changed, 10 insertions(+), 9 deletions(-)

commit 6ca8ff99b41d972e481f925cc70a842c58276e7f
Author: raveit65 <mate@raveit.de>
Date:   Wed Aug 4 16:14:54 2021 +0200

    travis-Ci: use libera.chat as notification server

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27c4a43c1552f832e9eaf18dee726c186fa7f661
Author: raveit65 <mate@raveit.de>
Date:   Mon Jun 21 22:50:18 2021 +0200

    update copyright to 2021

 libmenu/desktop-entries.c   | 1 +
 libmenu/desktop-entries.h   | 1 +
 libmenu/entry-directories.c | 1 +
 libmenu/entry-directories.h | 1 +
 libmenu/matemenu-tree.c     | 1 +
 libmenu/matemenu-tree.h     | 1 +
 libmenu/menu-layout.c       | 1 +
 libmenu/menu-layout.h       | 1 +
 libmenu/menu-monitor.c      | 1 +
 libmenu/menu-monitor.h      | 1 +
 libmenu/menu-util.c         | 1 +
 libmenu/menu-util.h         | 1 +
 util/mate-menus-ls.py       | 1 +
 util/test-menu-spec.c       | 1 +
 14 files changed, 14 insertions(+)

commit e42285f06188167d7c8166c2c0f1048b52744ad0
Author: raveit65 <mate@raveit.de>
Date:   Sat Jun 5 15:57:58 2021 +0200

    release 1.25.1

 NEWS         | 21 +++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 22 insertions(+), 1 deletion(-)

commit 0be3312f8827c1cddc391e494ad61b04acdcecc8
Author: raveit65 <mate@raveit.de>
Date:   Sat Jun 5 15:39:57 2021 +0200

    tx: pull from transifex

 po/af.po          |  83 ++++-------------------------
 po/am.po          |  82 ++++------------------------
 po/an.po          |  79 +++------------------------
 po/ar.po          |  83 ++++-------------------------
 po/as.po          |  83 ++++-------------------------
 po/ast.po         |  83 ++++-------------------------
 po/az.po          |  83 ++++-------------------------
 po/be.po          |  83 ++++-------------------------
 po/bg.po          |  82 ++++------------------------
 po/bn.po          |  83 ++++-------------------------
 po/bn_IN.po       |  83 ++++-------------------------
 po/br.po          |  83 ++++-------------------------
 po/bs.po          |  82 ++++------------------------
 po/ca.po          |  87 +++++-------------------------
 po/ca@valencia.po |  83 ++++-------------------------
 po/cmn.po         |  83 ++++-------------------------
 po/crh.po         |  79 +++------------------------
 po/cs.po          |  87 +++++-------------------------
 po/cy.po          |  79 +++------------------------
 po/da.po          |  87 +++++-------------------------
 po/de.po          |  86 ++++--------------------------
 po/dz.po          |  83 ++++-------------------------
 po/el.po          |  82 ++++------------------------
 po/en_AU.po       |  83 ++++-------------------------
 po/en_CA.po       |  83 ++++-------------------------
 po/en_GB.po       |  83 ++++-------------------------
 po/eo.po          |  79 +++------------------------
 po/es.po          |  87 +++++-------------------------
 po/es_AR.po       |  79 +++------------------------
 po/es_CL.po       |  79 +++------------------------
 po/es_CO.po       |  79 +++------------------------
 po/es_ES.po       |  96 ++++++++++++++++++---------------
 po/es_MX.po       |  79 +++------------------------
 po/es_PR.po       |  79 +++------------------------
 po/et.po          |  83 ++++-------------------------
 po/eu.po          |  83 ++++-------------------------
 po/fa.po          |  79 +++------------------------
 po/fi.po          |  83 ++++-------------------------
 po/fil.po         |  96 ++++++++++++++++++---------------
 po/fr.po          |  93 ++++++--------------------------
 po/fr_CA.po       |  79 +++------------------------
 po/frp.po         |  79 +++------------------------
 po/fur.po         |  83 ++++-------------------------
 po/fy.po          |  79 +++------------------------
 po/ga.po          |  83 ++++-------------------------
 po/gl.po          |  87 +++++-------------------------
 po/gu.po          |  83 ++++-------------------------
 po/ha.po          |  79 +++------------------------
 po/he.po          |  85 ++++-------------------------
 po/hi.po          | 131 ++++++++++++---------------------------------
 po/hr.po          |  83 ++++-------------------------
 po/hu.po          |  86 ++++--------------------------
 po/hy.po          |  83 ++++-------------------------
 po/ia.po          |  79 +++------------------------
 po/id.po          |  87 +++++-------------------------
 po/ie.po          |  83 ++++-------------------------
 po/ig.po          |  79 +++------------------------
 po/is.po          |  83 ++++-------------------------
 po/it.po          |  88 +++++-------------------------
 po/ja.po          |  86 +++++-------------------------
 po/jv.po          |  96 ++++++++++++++++++---------------
 po/ka.po          |  79 +++------------------------
 po/kab.po         |  86 +++++-------------------------
 po/kk.po          |  83 ++++-------------------------
 po/km.po          |  96 ++++++++++++++++++---------------
 po/kn.po          | 156 ++++++++++++++++--------------------------------------
 po/ko.po          |  83 ++++-------------------------
 po/ks.po          | 100 ++++++++++++++++++----------------
 po/ku.po          |  83 ++++-------------------------
 po/ku_IQ.po       |  79 +++------------------------
 po/ky.po          |  83 ++++-------------------------
 po/la.po          |  79 +++------------------------
 po/li.po          |  79 +++------------------------
 po/lt.po          |  87 +++++-------------------------
 po/lv.po          |  83 ++++-------------------------
 po/mai.po         |  79 +++------------------------
 po/mg.po          |  79 +++------------------------
 po/mi.po          |  79 +++------------------------
 po/mk.po          |  83 ++++-------------------------
 po/ml.po          |  83 ++++-------------------------
 po/mn.po          |  83 ++++-------------------------
 po/mr.po          |  83 ++++-------------------------
 po/ms.po          |  87 +++++-------------------------
 po/my.po          |  96 ++++++++++++++++++---------------
 po/nah.po         |  96 ++++++++++++++++++---------------
 po/nb.po          |  87 +++++-------------------------
 po/nds.po         |  79 +++------------------------
 po/ne.po          |  83 ++++-------------------------
 po/nl.po          |  89 +++++--------------------------
 po/nn.po          |  83 ++++-------------------------
 po/nso.po         |  83 ++++-------------------------
 po/oc.po          |  87 +++++-------------------------
 po/or.po          |  83 ++++-------------------------
 po/pa.po          |  83 ++++-------------------------
 po/pl.po          |  91 +++++--------------------------
 po/pms.po         |  96 ++++++++++++++++++---------------
 po/ps.po          |  83 ++++-------------------------
 po/pt.po          |  90 +++++--------------------------
 po/pt_BR.po       |  83 ++++-------------------------
 po/ro.po          |  83 ++++-------------------------
 po/ru.po          |  86 ++++--------------------------
 po/rw.po          |  79 +++------------------------
 po/sc.po          |  96 ++++++++++++++++++---------------
 po/si.po          |  79 +++------------------------
 po/sk.po          |  88 +++++-------------------------
 po/sl.po          |  85 ++++-------------------------
 po/sq.po          |  83 ++++-------------------------
 po/sr.po          |  85 ++++-------------------------
 po/sr@latin.po    |  83 ++++-------------------------
 po/sv.po          |  86 ++++--------------------------
 po/ta.po          |  83 ++++-------------------------
 po/te.po          |  83 ++++-------------------------
 po/th.po          |  83 ++++-------------------------
 po/tk.po          |  83 ++++-------------------------
 po/tr.po          |  83 ++++-------------------------
 po/ts.po          |  96 ++++++++++++++++++---------------
 po/ug.po          |  83 ++++-------------------------
 po/uk.po          | 104 +++++++-----------------------------
 po/ur.po          |  79 +++------------------------
 po/uz.po          |  84 ++++-------------------------
 po/vi.po          |  83 ++++-------------------------
 po/wa.po          |  79 +++------------------------
 po/xh.po          |  83 ++++-------------------------
 po/yo.po          |  79 +++------------------------
 po/zh_CN.po       |  90 +++++--------------------------
 po/zh_HK.po       |  83 ++++-------------------------
 po/zh_TW.po       |  87 +++++-------------------------
 po/zu.po          |  83 ++++-------------------------
 128 files changed, 1769 insertions(+), 9128 deletions(-)

commit 58cfbdeb783c3a13f0e3b40da48a17d818788816
Author: raveit65 <mate@raveit.de>
Date:   Sun May 30 14:59:48 2021 +0200

    travis-ci: use ubuntu focal as host system
    
    fixes build issues with fedora:latest (f34) tag.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb94f0c0d369b2c5b19e62e2a6806fddd54e52a7
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 25 00:42:59 2021 +0200

    travis: disable travis builds for ubuntu
    
    Sadly, there is a limit for free builds at docker.com
    See discussion
    https://github.com/orgs/mate-desktop/teams/core-team/discussions/25

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dca322099d8058914033be787b8f780c848c1f2d
Author: raveit65 <mate@raveit.de>
Date:   Mon Mar 8 22:03:51 2021 +0100

    travis: build with mate-common-1.24.2 from repos

 .build.yml | 11 -----------
 1 file changed, 11 deletions(-)

commit f50da0520f0493303ae7565e478bb31f561a114a
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 22 20:28:54 2021 +0100

    tx: temporarily disable build for ArchLinux

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 32ef0c02ef62a82c57b6373c6ec87e03ae762e13
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Jan 27 10:41:33 2021 +0100

    build: remove .directory files using clean target

 desktop-directories/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7578472e39bbf4f23985a30858e1b7d324b39c9a
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jan 25 21:55:28 2021 +0100

    build: allow users to disable gettext support (--disable-nls)

 Makefile.am                     | 6 +++++-
 configure.ac                    | 5 +++--
 desktop-directories/Makefile.am | 4 ++++
 po/POTFILES.in                  | 1 +
 util/test-menu-spec.c           | 8 ++++++++
 5 files changed, 21 insertions(+), 3 deletions(-)

commit e1431577975f16550213502f5e6767db240c5124
Author: rbuj <robert.buj@gmail.com>
Date:   Wed Jan 27 11:20:33 2021 +0100

    Set compiler debug flags / logging with MATE_DEBUG_CHECK

 configure.ac | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit f831e5f9db052aec2bfa61177d0bef671cf85c6a
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Jan 25 21:36:19 2021 +0100

    build: set GETTEXT_PACKAGE=AC_PACKAGE_NAME

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4e85eb563a536b5b1cf90939b0421b3445add8e
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 1 17:18:56 2021 +0100

    Remove -Wconversion -Wsign-compare -Wsign-conversion warnings

 libmenu/desktop-entries.c   | 32 ++++++++++-------------
 libmenu/desktop-entries.h   |  2 +-
 libmenu/entry-directories.c |  2 +-
 libmenu/matemenu-tree.c     | 62 ++++++++++++++++++++++-----------------------
 libmenu/menu-layout.c       | 14 +++++-----
 5 files changed, 54 insertions(+), 58 deletions(-)

commit 1c989ea4e5ea375167a7646aaf4e6dbc1cf19446
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 10 20:32:55 2021 +0100

    matemenu-tree: do not call g_settings_get_string unless necessary

 libmenu/matemenu-tree.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8e3ecee06adc8e02e3daeb036f13da506c0c2d6a
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Jan 16 16:32:24 2021 +0100

    update resource for transifex

 mate-menus.pot | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 7cf6288bd0cfee3eb8bd6e45abbcebf41beaf70d
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Jan 16 16:31:15 2021 +0100

    Improve the description of the collection directory

 desktop-directories/mate-collection.directory.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd86298024d836ec5e57ca053ded2181ac27aaa0
Author: rbuj <robert.buj@gmail.com>
Date:   Sat Jan 16 16:24:30 2021 +0100

    i18n: Add mate-collection.directory.in in POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit e1883c2a66d43c6a7cd839af87a6bcf995d257e2
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Dec 28 10:10:20 2020 +0100

    build: Set debug symbols and logging using --enable-debug

 configure.ac | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit ed1de4a6993cc4a711324d7733e831d445305e81
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 1 20:44:23 2021 +0100

    entry-directories: Use of memory after it is freed (scan-build)

 libmenu/entry-directories.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 41ca6e3423b8ab0bf034d9ad3f8b2654d3ad2d1e
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 1 22:17:29 2021 +0100

    matemenu-tree: Fix memory leak

 libmenu/matemenu-tree.c | 75 +++++++++++++++++++++++++------------------------
 1 file changed, 39 insertions(+), 36 deletions(-)

commit b0051252aa0be743de3d0345a8a5393592e0ec29
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 1 21:59:47 2021 +0100

    matemenu-tree: Remove collection_applet_free

 libmenu/matemenu-tree.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 55b720e5ab69eeea2cde12866a1ee7700d773bb2
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 1 21:35:57 2021 +0100

    Remove the cppcheck warning about the variable scope can be reduced

 libmenu/matemenu-tree.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 301e0d1aeb84aacea17a1c934ff847afd1393a68
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 1 20:24:38 2021 +0100

    matemenu-tree: minor code format

 libmenu/matemenu-tree.c | 64 +++++++++++++++++++++++++++++++------------------
 1 file changed, 41 insertions(+), 23 deletions(-)

commit de33fcd081c92ee4bfff3b885543d6dc3d0703dd
Author: raveit65 <mate@raveit.de>
Date:   Tue Dec 8 16:54:45 2020 +0100

    add issue template

 .github/issue_template.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e0eae73ed5dc130f2df4ba11b2b040d5319e171c
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Nov 22 10:09:05 2020 +0100

    desktop-entries: warning -Wempty-body

 libmenu/desktop-entries.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 388179bd07787bb3bc231cbae45404dd2418dd4f
Author: raveit65 <mate@raveit.de>
Date:   Tue Nov 17 11:49:48 2020 +0100

    travis CI: use rolling tag for ubuntu docker image

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b57adc65f08a07884b754154c77189f90f162788
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Nov 16 08:44:00 2020 +0100

    Remove USE_MATE2_MACROS from autogen.sh (legacy)

 .build.yml                                         |  132 +
 .github/FUNDING.yml                                |    9 +
 .github/issue_template.md                          |   19 +
 .travis.yml                                        |   75 +
 .tx/config                                         |    9 +
 AUTHORS                                            |    6 +
 COPYING                                            |  339 ++
 COPYING.LIB                                        |  481 ++
 ChangeLog                                          |    2 +
 Makefile.am                                        |   41 +
 NEWS                                               |   84 +
 README                                             |   33 +
 autogen.sh                                         |   24 +
 configure.ac                                       |  110 +
 desktop-directories/Makefile.am                    |   39 +
 desktop-directories/mate-audio-video.directory.in  |    5 +
 desktop-directories/mate-collection.directory.in   |    5 +
 desktop-directories/mate-development.directory.in  |    5 +
 desktop-directories/mate-education.directory.in    |    4 +
 desktop-directories/mate-game.directory.in         |    5 +
 desktop-directories/mate-graphics.directory.in     |    5 +
 desktop-directories/mate-hardware.directory.in     |    5 +
 .../mate-internet-and-network.directory.in         |    5 +
 .../mate-look-and-feel.directory.in                |    5 +
 .../mate-menu-applications.directory.in            |    5 +
 desktop-directories/mate-menu-system.directory.in  |    5 +
 desktop-directories/mate-network.directory.in      |    5 +
 desktop-directories/mate-office.directory.in       |    5 +
 desktop-directories/mate-other.directory.in        |    5 +
 desktop-directories/mate-personal.directory.in     |    6 +
 .../mate-settings-system.directory.in              |    5 +
 desktop-directories/mate-settings.directory.in     |    5 +
 desktop-directories/mate-system-tools.directory.in |    5 +
 desktop-directories/mate-system.directory.in       |    5 +
 .../mate-utility-accessibility.directory.in        |    5 +
 desktop-directories/mate-utility.directory.in      |    5 +
 git.mk                                             |  400 ++
 layout/Makefile.am                                 |   10 +
 layout/mate-applications.menu                      |  166 +
 layout/mate-preferences-categories.menu            |  114 +
 layout/mate-settings.menu                          |   59 +
 libmenu/Makefile.am                                |   76 +
 libmenu/desktop-entries.c                          |  885 ++++
 libmenu/desktop-entries.h                          |   82 +
 libmenu/entry-directories.c                        | 1225 +++++
 libmenu/entry-directories.h                        |   63 +
 libmenu/libmate-menu-uninstalled.pc.in             |   11 +
 libmenu/libmate-menu.pc.in                         |   11 +
 libmenu/matemenu-tree.c                            | 5071 ++++++++++++++++++++
 libmenu/matemenu-tree.h                            |  162 +
 libmenu/menu-layout.c                              | 2394 +++++++++
 libmenu/menu-layout.h                              |  157 +
 libmenu/menu-monitor.c                             |  431 ++
 libmenu/menu-monitor.h                             |   66 +
 libmenu/menu-util.c                                |  436 ++
 libmenu/menu-util.h                                |   54 +
 makepot                                            |    7 +
 mate-menus.pot                                     |  168 +
 po/LINGUAS                                         |  129 +
 po/Makevars                                        |   78 +
 po/POTFILES.in                                     |   22 +
 po/POTFILES.skip                                   |    3 +
 po/af.po                                           |  244 +
 po/am.po                                           |  243 +
 po/an.po                                           |  244 +
 po/ar.po                                           |  246 +
 po/as.po                                           |  245 +
 po/ast.po                                          |  246 +
 po/az.po                                           |  243 +
 po/be.po                                           |  244 +
 po/bg.po                                           |  246 +
 po/bn.po                                           |  243 +
 po/bn_IN.po                                        |  246 +
 po/br.po                                           |  244 +
 po/bs.po                                           |  243 +
 po/ca.po                                           |  245 +
 po/ca@valencia.po                                  |  244 +
 po/cmn.po                                          |  243 +
 po/crh.po                                          |  244 +
 po/cs.po                                           |  247 +
 po/cy.po                                           |  244 +
 po/da.po                                           |  245 +
 po/de.po                                           |  249 +
 po/dz.po                                           |  245 +
 po/el.po                                           |  247 +
 po/en_AU.po                                        |  243 +
 po/en_CA.po                                        |  243 +
 po/en_GB.po                                        |  245 +
 po/eo.po                                           |  244 +
 po/es.po                                           |  247 +
 po/es_AR.po                                        |  247 +
 po/es_CL.po                                        |  244 +
 po/es_CO.po                                        |  248 +
 po/es_ES.po                                        |  172 +
 po/es_MX.po                                        |  243 +
 po/es_PR.po                                        |  243 +
 po/et.po                                           |  244 +
 po/eu.po                                           |  244 +
 po/fa.po                                           |  244 +
 po/fi.po                                           |  246 +
 po/fil.po                                          |  172 +
 po/fr.po                                           |  251 +
 po/fr_CA.po                                        |  243 +
 po/frp.po                                          |  243 +
 po/fur.po                                          |  243 +
 po/fy.po                                           |  243 +
 po/ga.po                                           |  243 +
 po/gl.po                                           |  244 +
 po/gnome-copyrights.txt                            | 1140 +++++
 po/gu.po                                           |  243 +
 po/ha.po                                           |  243 +
 po/he.po                                           |  247 +
 po/hi.po                                           |  244 +
 po/hr.po                                           |  246 +
 po/hu.po                                           |  245 +
 po/hy.po                                           |  245 +
 po/ia.po                                           |  243 +
 po/id.po                                           |  247 +
 po/ie.po                                           |  243 +
 po/ig.po                                           |  243 +
 po/is.po                                           |  244 +
 po/it.po                                           |  247 +
 po/ja.po                                           |  245 +
 po/jv.po                                           |  172 +
 po/ka.po                                           |  243 +
 po/kab.po                                          |  243 +
 po/kk.po                                           |  244 +
 po/km.po                                           |  172 +
 po/kn.po                                           |  247 +
 po/ko.po                                           |  245 +
 po/ks.po                                           |  172 +
 po/ku.po                                           |  243 +
 po/ku_IQ.po                                        |  244 +
 po/ky.po                                           |  245 +
 po/la.po                                           |  243 +
 po/li.po                                           |  243 +
 po/lt.po                                           |  245 +
 po/lv.po                                           |  245 +
 po/mai.po                                          |  243 +
 po/mg.po                                           |  245 +
 po/mi.po                                           |  243 +
 po/mk.po                                           |  247 +
 po/ml.po                                           |  246 +
 po/mn.po                                           |  244 +
 po/mr.po                                           |  244 +
 po/ms.po                                           |  245 +
 po/my.po                                           |  172 +
 po/nah.po                                          |  172 +
 po/nb.po                                           |  246 +
 po/nds.po                                          |  243 +
 po/ne.po                                           |  246 +
 po/nl.po                                           |  249 +
 po/nn.po                                           |  243 +
 po/nso.po                                          |  243 +
 po/oc.po                                           |  248 +
 po/or.po                                           |  245 +
 po/pa.po                                           |  243 +
 po/pl.po                                           |  250 +
 po/pms.po                                          |  172 +
 po/ps.po                                           |  243 +
 po/pt.po                                           |  251 +
 po/pt_BR.po                                        |  249 +
 po/ro.po                                           |  244 +
 po/ru.po                                           |  247 +
 po/rw.po                                           |  243 +
 po/sc.po                                           |  172 +
 po/si.po                                           |  243 +
 po/sk.po                                           |  247 +
 po/sl.po                                           |  248 +
 po/sq.po                                           |  247 +
 po/sr.po                                           |  244 +
 po/sr@latin.po                                     |  243 +
 po/sv.po                                           |  247 +
 po/ta.po                                           |  246 +
 po/te.po                                           |  246 +
 po/th.po                                           |  245 +
 po/tk.po                                           |  243 +
 po/tr.po                                           |  247 +
 po/ts.po                                           |  172 +
 po/ug.po                                           |  243 +
 po/uk.po                                           |  247 +
 po/ur.po                                           |  243 +
 po/uz.po                                           |  246 +
 po/vi.po                                           |  247 +
 po/wa.po                                           |  243 +
 po/xh.po                                           |  243 +
 po/yo.po                                           |  246 +
 po/zh_CN.po                                        |  247 +
 po/zh_HK.po                                        |  244 +
 po/zh_TW.po                                        |  245 +
 po/zu.po                                           |  243 +
 util/Makefile.am                                   |   26 +
 util/mate-menus-ls.py                              |   83 +
 util/test-menu-spec.c                              |  255 +
 194 files changed, 45905 insertions(+)
